#ifndef HASSELECTABLENODES_H
#define HASSELECTABLENODES_H

#include <vector>
#include <KLib/geo/Point2.h>

class HasSelectableNodes {


public:

	virtual ~HasSelectableNodes() {;}

	virtual std::vector<Point2> getNodes() const = 0;

	virtual void selectNode(const int idx) = 0;

};

#endif // HASSELECTABLENODES_H
